Bug 198914 - Require GCC 7
Summary: Require GCC 7
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CMake (show other bugs)
Version: WebKit Nightly Build
Hardware: PC Linux
: P2 Normal
Assignee: Michael Catanzaro
URL:
Keywords:
Depends on:
Blocks: 198905
  Show dependency treegraph
 
Reported: 2019-06-17 04:56 PDT by Michael Catanzaro
Modified: 2019-06-25 07:47 PDT (History)
6 users (show)

See Also:


Attachments
Patch (2.28 KB, patch)
2019-06-17 04:58 PDT, Michael Catanzaro
darin: review+
Details | Formatted Diff | Diff
GCC 7.2 error (15.55 KB, text/plain)
2019-06-20 15:34 PDT, Konstantin Tokarev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2019-06-17 04:56:47 PDT
It's been a few months since we agreed to require GCC 7, but nobody pulled the trigger. We can do so now.
Comment 1 Michael Catanzaro 2019-06-17 04:58:55 PDT
Created attachment 372241 [details]
Patch
Comment 2 Michael Catanzaro 2019-06-17 05:52:18 PDT
(Let's allow a few days for Igalia to update bots before landing this.)
Comment 3 Darin Adler 2019-06-17 10:21:20 PDT
Comment on attachment 372241 [details]
Patch

Looks correct. Guess we need to coordinate with EWS bot upgrade.
Comment 4 Yusuke Suzuki 2019-06-17 11:02:32 PDT
Nice!
Comment 5 Konstantin Tokarev 2019-06-20 15:13:20 PDT
GCC 7.0.0 is certainly not enough for building trunk, I'm getting errors with 7.2.
Comment 6 Darin Adler 2019-06-20 15:20:51 PDT
Could help our discussion if you give an example of one of the errors.
Comment 7 Konstantin Tokarev 2019-06-20 15:34:54 PDT
Created attachment 372594 [details]
GCC 7.2 error
Comment 8 Yusuke Suzuki 2019-06-20 15:56:32 PDT
(In reply to Konstantin Tokarev from comment #7)
> Created attachment 372594 [details]
> GCC 7.2 error

Does this error make sense? I don't see any constexpr functions in B3LowerToAir.cpp.
Is it a GCC's bug?
Comment 9 Konstantin Tokarev 2019-06-20 16:19:06 PDT
(In reply to Yusuke Suzuki from comment #8)
> (In reply to Konstantin Tokarev from comment #7)
> > Created attachment 372594 [details]
> > GCC 7.2 error
> 
> Does this error make sense? I don't see any constexpr functions in
> B3LowerToAir.cpp.
> Is it a GCC's bug?

I can't think of a better explanation, at least the same code compiles fine with GCC 8.3 and 9.1. That's why I propose requiring 7.4.0, or whatever version is actually tested by bots. I can check 7.3 if that's interesting to anyone.
Comment 10 Michael Catanzaro 2019-06-20 19:10:53 PDT
(In reply to Konstantin Tokarev from comment #9)
> I can check 7.3 if that's interesting to anyone.

Well it would certainly help us decide whether to require 7.3 or 7.4!
Comment 11 Michael Catanzaro 2019-06-24 06:23:42 PDT
Comment on attachment 372241 [details]
Patch

Anyway let's proceed. We'll fix any broken bots over the next couple days.
Comment 12 Michael Catanzaro 2019-06-24 06:24:16 PDT
Comment on attachment 372241 [details]
Patch

Oh I forgot you wanted to investigate 7.3 vs. 7.4.
Comment 13 Konstantin Tokarev 2019-06-24 06:26:57 PDT
I can do it today, however if there will be no bots checking 7.3, it can be broken at any time even if it works right now
Comment 14 Konstantin Tokarev 2019-06-24 17:21:33 PDT
7.3 works fine
Comment 15 Michael Catanzaro 2019-06-25 07:47:48 PDT
Committed r246789: <https://trac.webkit.org/changeset/246789>